Bug Hunting Session
Bug 113049 - Menus open in wrong positions on multi-monitor config
Summary: Menus open in wrong positions on multi-monitor config
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.6.1 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Multimonitor
  Show dependency treegraph
 
Reported: 2017-10-11 15:16 UTC by ktsabolov
Modified: 2019-01-19 03:54 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
The configuration of monitors in Gnome Display settings (34.74 KB, image/png)
2017-10-11 15:18 UTC, ktsabolov
Details
Example of wrong menu positioning with two-monitor configuration (538.88 KB, image/png)
2017-10-24 13:57 UTC, ktsabolov
Details
Another example of wrong menu positioning with two-monitor configuration (365.86 KB, image/png)
2017-10-24 13:57 UTC, ktsabolov
Details
LibreWriter menu positioning with generic GUI backend (62.05 KB, image/png)
2018-01-18 12:02 UTC, ktsabolov
Details
LibreWriter menu positioning with GTK (62.41 KB, image/png)
2018-01-18 16:30 UTC, ktsabolov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ktsabolov 2017-10-11 15:16:13 UTC
Description:
I am using RussianFedora 26 with Gnome on Xorg. I have two-monitor configuration, and one of my monitors is standing on a rack (it's a little bit higher than another one). Now when I click on the menubar in LibreOffice Writer (I guess, other products are subject too), popup menus are displayed shifted down exactly the same amount of pixels as the difference between monitors height.

Steps to Reproduce:
1. Have two monitors in Gnome
2. Shift monitors in Display Settings
3. Open LibreOffice Writer on the monitor which is higher
4. Click on any item in the menubar

Actual Results:  
Menu popup appears by the same amount of pixels lower as the difference between monitors.

Expected Results:
Menu popup appears just under the clicked menubar item.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36
Comment 1 ktsabolov 2017-10-11 15:18:18 UTC
Created attachment 136909 [details]
The configuration of monitors in Gnome Display settings
Comment 2 Jean-Baptiste Faure 2017-10-23 21:15:01 UTC Comment hidden (obsolete)
Comment 3 ktsabolov 2017-10-24 13:57:01 UTC
Created attachment 137253 [details]
Example of wrong menu positioning with two-monitor configuration
Comment 4 ktsabolov 2017-10-24 13:57:32 UTC
Created attachment 137254 [details]
Another example of wrong menu positioning with two-monitor configuration
Comment 5 Buovjaga 2017-11-07 17:25:19 UTC Comment hidden (obsolete)
Comment 6 ktsabolov 2017-11-07 19:11:40 UTC
(In reply to Buovjaga from comment #5)
> I am curious, did you try if a Wayland session works better?

Yes, I did. The behaviour is the same.
Comment 7 Stephen Paschall 2017-12-15 15:14:04 UTC
+1

Ubuntu 16.04 LTS
LibreOffice 5.2.2.2 20m0(Build:2)
X.Org version: 1.18.4

Screen 0: minimum 320 x 200, current 3000 x 1920, maximum 8192 x 8192

LVDS-1 connected primary 1920x1080+0+840 (normal left inverted right x axis y axis) 382mm x 215mm

HDMI-1 connected 1080x1920+1920+0 left (normal left inverted right x axis y axis) 527mm x 296mm

(Note that my secondary display is rotated.)
Comment 8 tommy27 2018-01-18 08:15:51 UTC
status NEW according to previous comment which I assume is confirming the same issue.

is the bug still present with latest LibO 5.4.4.2 release?
Comment 9 ktsabolov 2018-01-18 09:07:54 UTC
I guess that the issue is not on the LibreOffice level, because I have the same issue in another application - Robo 3T (https://robomongo.org/). The behavior is absolutely the same.
Maybe this information helps.
Comment 10 Buovjaga 2018-01-18 11:11:06 UTC
(In reply to ktsabolov from comment #9)
> I guess that the issue is not on the LibreOffice level, because I have the
> same issue in another application - Robo 3T (https://robomongo.org/). The
> behavior is absolutely the same.
> Maybe this information helps.

Hmm, it seems to be using Qt as the GUI toolkit: https://github.com/Studio3T/robomongo
So this behaviour is now observed in both GTK and Qt GUIs. I wonder what could be the underlying cause.

ktsabolov: you could try launching LibreOffice from the command line with:

SAL_USE_VCLPLUGIN=gen libreoffice

This will use a generic GUI backend. Would be interesting to hear, if the problem occurs with that as well.
Comment 11 ktsabolov 2018-01-18 12:01:41 UTC
(In reply to Buovjaga from comment #10)
> (In reply to ktsabolov from comment #9)
> > I guess that the issue is not on the LibreOffice level, because I have the
> > same issue in another application - Robo 3T (https://robomongo.org/). The
> > behavior is absolutely the same.
> > Maybe this information helps.
> 
> Hmm, it seems to be using Qt as the GUI toolkit:
> https://github.com/Studio3T/robomongo
> So this behaviour is now observed in both GTK and Qt GUIs. I wonder what
> could be the underlying cause.
> 
> ktsabolov: you could try launching LibreOffice from the command line with:
> 
> SAL_USE_VCLPLUGIN=gen libreoffice
> 
> This will use a generic GUI backend. Would be interesting to hear, if the
> problem occurs with that as well.

Nope. With the generic GUI backend it works as expected (will attach a screenshot). Menu appears where it should appear independently of monitors configuration.
Comment 12 ktsabolov 2018-01-18 12:02:35 UTC
Created attachment 139178 [details]
LibreWriter menu positioning with generic GUI backend
Comment 13 Buovjaga 2018-01-18 12:39:39 UTC
(In reply to ktsabolov from comment #11)
> Nope. With the generic GUI backend it works as expected (will attach a
> screenshot). Menu appears where it should appear independently of monitors
> configuration.

Aha, the plot thickens. You could also try this, which forces the GTK2 backend:

SAL_USE_VCLPLUGIN=gtk libreoffice
Comment 14 ktsabolov 2018-01-18 16:29:42 UTC
(In reply to Buovjaga from comment #13)
> (In reply to ktsabolov from comment #11)
> > Nope. With the generic GUI backend it works as expected (will attach a
> > screenshot). Menu appears where it should appear independently of monitors
> > configuration.
> 
> Aha, the plot thickens. You could also try this, which forces the GTK2
> backend:
> 
> SAL_USE_VCLPLUGIN=gtk libreoffice

Again. It works as expected with GTK too (attachment follows). Does that mean, that the root of the problem is in Qt?
Comment 15 ktsabolov 2018-01-18 16:30:10 UTC
Created attachment 139191 [details]
LibreWriter menu positioning with GTK
Comment 16 Buovjaga 2018-01-18 17:51:44 UTC
(In reply to ktsabolov from comment #14)
> Again. It works as expected with GTK too (attachment follows). Does that
> mean, that the root of the problem is in Qt?

No. You reported this against the GTK3 backend as we see from the original screenshots.
Stephen Paschall did not mention the backend used, so it would be nice to hear. Stephen: please copy and paste here the contents of your Help - About.

Robo 3T is our only data point related to Qt, but even then it might be "Qt application behaviour under GNOME Shell".
Comment 17 QA Administrators 2019-01-19 03:54:29 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug